Subject: Re: bug#38529: Make --ad-hoc the default for guix environment proposed deprecation mechanism

From: Andy Wingo <[email-masked]>
Date: Thu, 02 Jan 2020 10:49:37 +0100

On Fri 20 Dec 2019 22:08, Ricardo Wurmus <[email-masked]> writes:

> zimoun <[email-masked]> writes:
>
>>  - I propose the name "guix shell"
>
> This is not a bad idea, especially considering that “guix environment”
> was meant to get shebang support, so that you could use it as the
> interpreter in a script that handles the environment configuration.
>
> It is also shorter.

I like this idea.  It would also allow us to deprecate "guix
environment" over a period of a year or so, and we can probably show an
equivalent "guix shell" invocation in the deprecation message.

Andy